// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

import Game, { GAME_STATE } from "../tool/Game";
import pg from "../tool/pg";
pg.event.clear();
const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    private btn_laba: cc.Node;

    private countDown: number = 999;
    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        this.initView();
        this.initEvent();
    }

    private initEvent() {
        pg.event.on("game_start", () => {
            this.gameStart();
        });
        this.btn_laba.on(cc.Node.EventType.TOUCH_END, this.playLaba, this);
    }
    private gameStart() {
        // this.showRound();
        this.playLaba();
    }
    private initView() {
        this.btn_laba = cc.find("btn_laba", this.node);
    }
    private intervalId;
    private playing: boolean;
    private playLaba() {
        if (this.playing) return;
        this.playing = true;
        let btn_kaba2 = this.btn_laba.getChildByName("btn_laba2");
        let btn_kaba3 = this.btn_laba.getChildByName("btn_laba3");
        btn_kaba2.active = true;
        btn_kaba3.active = true;

        let count = 0;
        if (this.intervalId) clearInterval(this.intervalId);
        let stop = false;
        this.intervalId = setInterval(() => {
            count++;
            btn_kaba2.active = count % 3 == 1;
            btn_kaba3.active = count % 3 == 2;
            if (stop && count % 3 == 2) {
                this.playing = false;
                clearInterval(this.intervalId);
            }
        }, 150);
        pg.audio.playAudioByUrlThen(Game.getIns().getCurrentPage().audio).then(() => {
            stop = true;
        })
    }
    update(dt) { }
}




